json
{
"IMEI": "359796727818015",
"AccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d"
}curl -X POST https://api.telegent.com/v1.0/numbers/device-details \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"IMEI": "359796727818015",
"AccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d"
}'import requests
url = "https://api.telegent.com/v1.0/numbers/device-details"
payload = {
"IMEI": "359796727818015",
"AccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({IMEI: '359796727818015', AccountId: 'AID-eab92510-1040-45a5-bb9c-0bad9272f89d'})
};
fetch('https://api.telegent.com/v1.0/numbers/device-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AccountId": "AID-206dd875-05de-4764-8ff7-xxxx",
"IMEI": "359796727818015",
"DeviceModel": "4X4",
"DeviceName": null,
"DeviceManufacturer": "Escolls",
"TAC": "35979672",
"Status": "Success",
"StatusMessage": "",
"Sim_Specifications": "{\"SIMSlots\":\"2\",\"SIMSize\":\"Not Available\",\"eSIM\":\"Not Available\",\"RemoteSIMUnlock\":\"Not Available\"}",
"Technology": "{\"LTECategory\":\"Not Available\",\"UMTS\":\"Yes\",\"LTEAdvanced\":\"Not Available\",\"LTE\":\"Yes\",\"WLAN\":\"No\",\"Technology On The Device\":\"Not Available\"}",
"Device_Specifications": "{\"ChipsetVendor\":\"Not Available\",\"ChipsetName\":\"Not Available\",\"YearReleased\":\"2023\",\"OSName\":\"Not Available\",\"PrimaryHardwareType\":\"Mobile Phone\",\"ChipsetModel\":\"Not Available\",\"DeviceType\":\"Mobile Phone/Feature phone\",\"unlockStatus\":\"LOCKED\"}",
"Device_Capabilities": "{\"HSPA+\":\"Yes\",\"HSDPA\":\"Yes\",\"VoWiFi\":\"Not Available\",\"VoLTE\":\"Yes\",\"GPRS\":\"Yes\",\"HSCSD\":\"Not Available\",\"Wi-Fi\":\"No\",\"Bands\":\"LTE FDD BAND 1,LTE FDD BAND 3,LTE FDD BAND 5,LTE FDD BAND 7,LTE FDD BAND 28,GSM 1800,GSM 1900,GSM850 (GSM800),GSM 900,WCDMA FDD Band 1,WCDMA FDD Band 2,WCDMA FDD Band 5,WCDMA FDD Band 8\",\"DualbandWIFI\":\"Not Available\",\"HDVoice\":\"Not Available\",\"IMS\":\"Not Available\",\"IPv6\":\"Not Available\",\"Passpoint\":\"Not Available\",\"Roaming IMS\":\"Not Available\",\"VoLTEEmergencyCalling\":\"Not Available\",\"Wi-FiCallingVersion\":\"Not Available\",\"HSPADualCarrier\":\"Not Available\",\"RCS\":\"Not Available\",\"CarrierConfig\":\"Not Available\"}",
"Network_Compatibility": "{\"Band12Compatible\":\"Not Available\",\"WiFiCompatible\":\"Not Available\",\"standAlone5G\":\"Not Available\",\"nonStandAlone5G\":\"Not Available\",\"NetworkTechnology\":\"LTE\",\"VoLTECompatible\":\"Yes\",\"VoNRCompatible\":\"Not Available\",\"compatibility\":\"Voice Device Partially Compatible\",\"compatibilityDescription\":\"Not Available\"}",
"Certification": "{\"t-MobileApproved\":\"No\"}"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Numbers
Device Details
Retrieve the full device profile for a handset by its IMEI — model, manufacturer, TAC, and detailed SIM, technology, capability, network-compatibility, and certification data. AccountId is required for Distributors managing multiple accounts.
What this does: Looks up a device by IMEI and returns its complete specifications. Sim_Specifications, Technology, Device_Specifications, Device_Capabilities, Network_Compatibility, and Certification are returned as JSON-encoded strings (parse them client-side). Number ownership is not required — any IMEI can be queried.
Next steps:
- Update the number —
POST /v1.0/numbers/update - Check data usage —
POST /v1.0/numbers/data-usage/info
POST
/
v1.0
/
numbers
/
device-details
json
{
"IMEI": "359796727818015",
"AccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d"
}curl -X POST https://api.telegent.com/v1.0/numbers/device-details \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"IMEI": "359796727818015",
"AccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d"
}'import requests
url = "https://api.telegent.com/v1.0/numbers/device-details"
payload = {
"IMEI": "359796727818015",
"AccountId": "AID-eab92510-1040-45a5-bb9c-0bad9272f89d"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({IMEI: '359796727818015', AccountId: 'AID-eab92510-1040-45a5-bb9c-0bad9272f89d'})
};
fetch('https://api.telegent.com/v1.0/numbers/device-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AccountId": "AID-206dd875-05de-4764-8ff7-xxxx",
"IMEI": "359796727818015",
"DeviceModel": "4X4",
"DeviceName": null,
"DeviceManufacturer": "Escolls",
"TAC": "35979672",
"Status": "Success",
"StatusMessage": "",
"Sim_Specifications": "{\"SIMSlots\":\"2\",\"SIMSize\":\"Not Available\",\"eSIM\":\"Not Available\",\"RemoteSIMUnlock\":\"Not Available\"}",
"Technology": "{\"LTECategory\":\"Not Available\",\"UMTS\":\"Yes\",\"LTEAdvanced\":\"Not Available\",\"LTE\":\"Yes\",\"WLAN\":\"No\",\"Technology On The Device\":\"Not Available\"}",
"Device_Specifications": "{\"ChipsetVendor\":\"Not Available\",\"ChipsetName\":\"Not Available\",\"YearReleased\":\"2023\",\"OSName\":\"Not Available\",\"PrimaryHardwareType\":\"Mobile Phone\",\"ChipsetModel\":\"Not Available\",\"DeviceType\":\"Mobile Phone/Feature phone\",\"unlockStatus\":\"LOCKED\"}",
"Device_Capabilities": "{\"HSPA+\":\"Yes\",\"HSDPA\":\"Yes\",\"VoWiFi\":\"Not Available\",\"VoLTE\":\"Yes\",\"GPRS\":\"Yes\",\"HSCSD\":\"Not Available\",\"Wi-Fi\":\"No\",\"Bands\":\"LTE FDD BAND 1,LTE FDD BAND 3,LTE FDD BAND 5,LTE FDD BAND 7,LTE FDD BAND 28,GSM 1800,GSM 1900,GSM850 (GSM800),GSM 900,WCDMA FDD Band 1,WCDMA FDD Band 2,WCDMA FDD Band 5,WCDMA FDD Band 8\",\"DualbandWIFI\":\"Not Available\",\"HDVoice\":\"Not Available\",\"IMS\":\"Not Available\",\"IPv6\":\"Not Available\",\"Passpoint\":\"Not Available\",\"Roaming IMS\":\"Not Available\",\"VoLTEEmergencyCalling\":\"Not Available\",\"Wi-FiCallingVersion\":\"Not Available\",\"HSPADualCarrier\":\"Not Available\",\"RCS\":\"Not Available\",\"CarrierConfig\":\"Not Available\"}",
"Network_Compatibility": "{\"Band12Compatible\":\"Not Available\",\"WiFiCompatible\":\"Not Available\",\"standAlone5G\":\"Not Available\",\"nonStandAlone5G\":\"Not Available\",\"NetworkTechnology\":\"LTE\",\"VoLTECompatible\":\"Yes\",\"VoNRCompatible\":\"Not Available\",\"compatibility\":\"Voice Device Partially Compatible\",\"compatibilityDescription\":\"Not Available\"}",
"Certification": "{\"t-MobileApproved\":\"No\"}"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
Response
Device Details Retrieved
The response is of type object.